<?php

/*
////////////////////////////////////////////////////////////////////////////////
// JohnCMS                             Content Management System              //
// Официальный сайт сайт проекта:      http://johncms.com                     //
// Дополнительный сайт поддержки:      http://gazenwagen.com                  //
////////////////////////////////////////////////////////////////////////////////
// JohnCMS core team:                                                         //
// Евгений Рябинин aka john77          john77@gazenwagen.com                  //
// Олег Касьянов aka AlkatraZ          alkatraz@gazenwagen.com                //
//                                                                            //
// Информацию о версиях смотрите в прилагаемом файле version.txt              //
////////////////////////////////////////////////////////////////////////////////
*/

defined('_IN_JOHNCMS') or die('Error: restricted access');

if (!$id || !$id_k || !$user_id || $rights != 2 && $rights < 6) {
  header("Location: index.php");
 exit;
}

/*
-----------------------------------------------------------------
Скрытие/восстановление сообщения
-----------------------------------------------------------------
*/
$soob = mysql_query("SELECT `id_u`, `author` FROM `chat_room_".$id_k."` WHERE `id` = '$id'");
// проверяем существование сообщения
if (mysql_num_rows($soob)) {
  // Получаем данные сообщения
  $soob_d = mysql_fetch_assoc($soob);
  // Получаем данные автора сообщения
  $us_d = mysql_fetch_assoc(mysql_query("SELECT `postchat`, `rights` FROM `users` WHERE `id` = '" . $soob_d['id_u'] . "'"));
  $set_author = array();
  $set_author = unserialize($soob_d['author']);
  $set_author['name_delete'] = $login; 
  // Выбираем скрыть или восстановить сообщение
  if ($mod && $us_d['rights'] < $rights || $mod && $rights == 9) {
    // Скрываем сообщение
    mysql_query("UPDATE `chat_room_".$id_k."` SET `author` = '" . mysql_real_escape_string(serialize($set_author)) . "', `tip` = '1' WHERE `id` = '$id'");
    $postchat = $us_d['postchat'] > 0 ? $us_d['postchat'] - 1 : 0;
    mysql_query("UPDATE `users` SET `postchat` = '" . $postchat . "' WHERE `id` = '" . $soob_d['id_u'] . "'");
  } elseif (!$mod && $rights > 6) {
    // Восстанавливаем сообщение
    mysql_query("UPDATE `chat_room_".$id_k."` SET `author` = '" . mysql_real_escape_string(serialize($set_author)) . "', `tip` = '0' WHERE `id` = '$id'");
    mysql_query("UPDATE `users` SET `postchat` = '" . ($us_d['postchat'] + 1) . "' WHERE `id` = '" . $soob_d['id_u'] . "'");
  }
  header("Location: index.php?id=$id_k");
} else
  header("Location: index.php");

?>